:root {
  --body-bg-color: #c4c4c4;
  --header-bg-color: #002D62;
  --content-bg-color: #fff;
  --bg-light: #002D62;
  --text-light: #fff;
}

h1, h2, h3, h4, h5 {
  margin: 0.2em;
}

figure {
  margin: 0;
}

body {
  font-family: 'Poppins', sans-serif;
  background: var(--body-bg-color);
  padding: 0;
  margin: 0;
  background: var(--content-bg-color);
}

.header {
  background: var(--header-bg-color);
  color: var(--text-light);
  padding: 10px 10px;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  font-size: 0.5em;
  display: flex;
  align-items: center;
  justify-content: center;
}

.header__image {
  width: 30px;
  height: 30px;
  margin-right: 10px;
}

.character__emoji {
  width: 35px;
  height: 35px;
  margin-right: 10px;
}

.main {
  background: var(--content-bg-color);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.footer {
  background: var(--bg-light);
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  display: flex;
  align-items: stretch;
  padding: 20px 15%;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
}

.footer__title {
  text-align: center;
  width: 100%;
  align-self: center;
  font-weight: 400;
  color: var(--text-light);
}

.footer__item {
  background: var(--content-bg-color);
  margin: 20px;
  border-radius: 10px;
  width: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 25%;
  padding: 10px;
}

.footer__item:hover {
  background: var(--body-bg-color);
  transform: scale(1.10);
  z-index: 1
}

.footer__image {
  max-width: 90%;
  height: auto;
  filter: drop-shadow(0 0 0.75rem var(--bg-light));
}

.details__item-label, .details__item-info {
  font-size: 4vw;
  width: 30%;
  text-align: start;
  font-weight: 300;
}

.character__figure {
  max-width: 100%;
}

.character__image {
  height: auto;
  width: 100%;
  filter: drop-shadow(0 0 0.75rem var(--bg-light));
}

.character__title {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--text-light);
  max-height: 15%;
  background: var(--bg-light);
  border-radius: 10px;
  font-weight: 800;
  font-size: 2vw;
  padding: 5px;
}

.character__name {
  font-size: 4vw;
}

.character, .details{
  max-width: 80%;
}

.character {
  padding: 20px;
  z-index: 1;
}

.details {
  color: var(--text-light);
  background: var(--bg-light);
  width: 100%;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
  padding: 30px 0;
  margin: -80px 0 20px;
  z-index: 0;
}

.details__item {
  padding: 10px;
  display: flex;
  width: 100%;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  height: 25px;
}

@media (min-width: 620px) {
  body {
    background: var(--body-bg-color);
    margin: auto;
    max-width: 1200px;
    padding: 20px;
  }
  
  .header {
    justify-content: start;
  }

  .main {
    flex-direction: row;
    align-items: stretch;
    justify-content: center;
  }

  .footer {
    padding: 0 16%;
    justify-content: space-around;
  }
  
  .footer__title {
    width: 20%;
  }
  
  .footer__item {
    width: 10%;
  }
  
  .footer__image {
    max-width: 80%;
  }

  .character {
    max-width: 30%;
  }

  .character__name {
    font-size: 2vw;
  }
  
  .details {
    margin: 20px;
    max-width: 30%;
  }
  
  .details__item {
    text-align: center;
    display: flex;
    flex-direction: column;
    padding: 0;
    width: 50%;
  }

  .details__item-info, .details__item-label {
    margin: 0;
    width: 100%;
    text-align: center;
  }

  .details__item-label {
    font-size: 1.2vw;
    font-weight: 300;
  }

  .details__item-info {
    margin: 0;
    font-size: 1.6vw;
    font-weight: 500;
  }
}